PULSONIX_LIBRARY_ASCII "SamacSys ECAD Model"
//261599/1031803/2.50/2/4/Schottky Diode

(asciiHeader
	(fileUnits MM)
)
(library Library_1
	(padStyleDef "r67_42"
		(holeDiam 0)
		(padShape (layerNumRef 1) (padShapeType Rect)  (shapeWidth 0.42) (shapeHeight 0.67))
		(padShape (layerNumRef 16) (padShapeType Ellipse)  (shapeWidth 0) (shapeHeight 0))
	)
	(textStyleDef "Normal"
		(font
			(fontType Stroke)
			(fontFace "Helvetica")
			(fontHeight 1.27)
			(strokeWidth 0.127)
		)
	)
	(patternDef "SODFL1608X70N" (originalName "SODFL1608X70N")
		(multiLayer
			(pad (padNum 1) (padStyleRef r67_42) (pt -0.725, 0) (rotation 90))
			(pad (padNum 2) (padStyleRef r67_42) (pt 0.725, 0) (rotation 90))
		)
		(layerContents (layerNumRef 18)
			(attr "RefDes" "RefDes" (pt 0, 0) (textStyleRef "Normal") (isVisible True))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt -1.21 0.6) (pt 1.21 0.6) (width 0.05))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt 1.21 0.6) (pt 1.21 -0.6) (width 0.05))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt 1.21 -0.6) (pt -1.21 -0.6) (width 0.05))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt -1.21 -0.6) (pt -1.21 0.6) (width 0.05))
		)
		(layerContents (layerNumRef 28)
			(line (pt -0.6 0.4) (pt 0.6 0.4) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt 0.6 0.4) (pt 0.6 -0.4) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt 0.6 -0.4) (pt -0.6 -0.4) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt -0.6 -0.4) (pt -0.6 0.4) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt -0.6 0.065) (pt -0.265 0.4) (width 0.025))
		)
		(layerContents (layerNumRef 18)
			(line (pt -1.06 0.4) (pt 0.6 0.4) (width 0.2))
		)
		(layerContents (layerNumRef 18)
			(line (pt -0.6 -0.4) (pt 0.6 -0.4) (width 0.2))
		)
	)
	(symbolDef "CES521_L3F" (originalName "CES521_L3F")

		(pin (pinNum 1) (pt 100 mils 0 mils) (rotation 0) (pinLength 100 mils) (pinDisplay (dispPinName false)) (pinName (text (pt 240 mils -15 mils) (rotation 0]) (justify "Left") (textStyleRef "Normal"))
		))
		(pin (pinNum 2) (pt 700 mils 0 mils) (rotation 180) (pinLength 100 mils) (pinDisplay (dispPinName false)) (pinName (text (pt 560 mils -15 mils) (rotation 0]) (justify "Right") (textStyleRef "Normal"))
		))
		(line (pt 300 mils 100 mils) (pt 300 mils -100 mils) (width 6 mils))
		(line (pt 300 mils 100 mils) (pt 340 mils 100 mils) (width 6 mils))
		(line (pt 340 mils 100 mils) (pt 340 mils 60 mils) (width 6 mils))
		(line (pt 300 mils -100 mils) (pt 260 mils -100 mils) (width 6 mils))
		(line (pt 260 mils -100 mils) (pt 260 mils -60 mils) (width 6 mils))
		(line (pt 200 mils 0 mils) (pt 300 mils 0 mils) (width 6 mils))
		(line (pt 500 mils 0 mils) (pt 600 mils 0 mils) (width 6 mils))
		(poly (pt 300 mils 0 mils) (pt 500 mils 100 mils) (pt 500 mils -100 mils) (pt 300 mils 0 mils) (width 10  mils))
		(attr "RefDes" "RefDes" (pt 500 mils 350 mils) (justify Left) (isVisible True) (textStyleRef "Normal"))
		(attr "Type" "Type" (pt 500 mils 250 mils) (justify Left) (isVisible True) (textStyleRef "Normal"))

	)
	(compDef "CES521,L3F" (originalName "CES521,L3F") (compHeader (numPins 2) (numParts 1) (refDesPrefix D)
		)
		(compPin "1" (pinName "K") (partNum 1) (symPinNum 1) (gateEq 0) (pinEq 0) (pinType Bidirectional))
		(compPin "2" (pinName "A") (partNum 1) (symPinNum 2) (gateEq 0) (pinEq 0) (pinType Bidirectional))
		(attachedSymbol (partNum 1) (altType Normal) (symbolName "CES521_L3F"))
		(attachedPattern (patternNum 1) (patternName "SODFL1608X70N")
			(numPads 2)
			(padPinMap
				(padNum 1) (compPinRef "1")
				(padNum 2) (compPinRef "2")
			)
		)
		(attr "Mouser Part Number" "757-CES521L3F")
		(attr "Mouser Price/Stock" "https://www.mouser.co.uk/ProductDetail/Toshiba/CES521L3F?qs=%252B8yZ8wZTKG4XxrwXbkAgcg%3D%3D")
		(attr "Manufacturer_Name" "Toshiba")
		(attr "Manufacturer_Part_Number" "CES521,L3F")
		(attr "Description" "Schottky Diodes & Rectifiers SM Sig Schotky Diode 30 VR 0.2A 1 Circuit")
		(attr "<Hyperlink>" "http://toshiba.semicon-storage.com/info/docget.jsp?did=7054&prodName=CES521")
		(attr "<Component Height>" "0.7")
		(attr "<STEP Filename>" "CES521,L3F.stp")
		(attr "<STEP Offsets>" "X=0;Y=0;Z=0")
		(attr "<STEP Rotation>" "X=0;Y=0;Z=0")
	)

)
