PULSONIX_LIBRARY_ASCII "SamacSys ECAD Model"
//180386/1031803/2.50/2/4/Diode

(asciiHeader
	(fileUnits MM)
)
(library Library_1
	(padStyleDef "r230_215"
		(holeDiam 0)
		(padShape (layerNumRef 1) (padShapeType Rect)  (shapeWidth 2.15) (shapeHeight 2.3))
		(padShape (layerNumRef 16) (padShapeType Ellipse)  (shapeWidth 0) (shapeHeight 0))
	)
	(textStyleDef "Normal"
		(font
			(fontType Stroke)
			(fontFace "Helvetica")
			(fontHeight 1.27)
			(strokeWidth 0.127)
		)
	)
	(patternDef "DIOM5436X265N" (originalName "DIOM5436X265N")
		(multiLayer
			(pad (padNum 1) (padStyleRef r230_215) (pt -2.15, 0) (rotation 90))
			(pad (padNum 2) (padStyleRef r230_215) (pt 2.15, 0) (rotation 90))
		)
		(layerContents (layerNumRef 18)
			(attr "RefDes" "RefDes" (pt 0, 0) (textStyleRef "Normal") (isVisible True))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt -3.55 2.225) (pt 3.55 2.225) (width 0.05))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt 3.55 2.225) (pt 3.55 -2.225) (width 0.05))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt 3.55 -2.225) (pt -3.55 -2.225) (width 0.05))
		)
		(layerContents (layerNumRef Courtyard_Top)
			(line (pt -3.55 -2.225) (pt -3.55 2.225) (width 0.05))
		)
		(layerContents (layerNumRef 28)
			(line (pt -2.675 1.812) (pt 2.675 1.812) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt 2.675 1.812) (pt 2.675 -1.812) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt 2.675 -1.812) (pt -2.675 -1.812) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt -2.675 -1.812) (pt -2.675 1.812) (width 0.025))
		)
		(layerContents (layerNumRef 28)
			(line (pt -2.675 0.738) (pt -1.6 1.812) (width 0.025))
		)
		(layerContents (layerNumRef 18)
			(line (pt 2.675 1.812) (pt -3.225 1.812) (width 0.2))
		)
		(layerContents (layerNumRef 18)
			(line (pt -2.675 -1.812) (pt 2.675 -1.812) (width 0.2))
		)
	)
	(symbolDef "STPS1L30U" (originalName "STPS1L30U")

		(pin (pinNum 1) (pt 0 mils 0 mils) (rotation 0) (pinLength 100 mils) (pinDisplay (dispPinName false)) (pinName (text (pt 140 mils -15 mils) (rotation 0]) (justify "Left") (textStyleRef "Normal"))
		))
		(pin (pinNum 2) (pt 600 mils 0 mils) (rotation 180) (pinLength 100 mils) (pinDisplay (dispPinName false)) (pinName (text (pt 460 mils -15 mils) (rotation 0]) (justify "Right") (textStyleRef "Normal"))
		))
		(line (pt 200 mils 100 mils) (pt 200 mils -100 mils) (width 6 mils))
		(line (pt 100 mils 0 mils) (pt 200 mils 0 mils) (width 6 mils))
		(line (pt 400 mils 0 mils) (pt 500 mils 0 mils) (width 6 mils))
		(poly (pt 200 mils 0 mils) (pt 400 mils 100 mils) (pt 400 mils -100 mils) (pt 200 mils 0 mils) (width 10  mils))
		(attr "RefDes" "RefDes" (pt 450 mils 200 mils) (justify Left) (isVisible True) (textStyleRef "Normal"))
		(attr "Type" "Type" (pt 450 mils 100 mils) (justify Left) (isVisible True) (textStyleRef "Normal"))

	)
	(compDef "STPS1L30U" (originalName "STPS1L30U") (compHeader (numPins 2) (numParts 1) (refDesPrefix D)
		)
		(compPin "1" (pinName "K") (partNum 1) (symPinNum 1) (gateEq 0) (pinEq 0) (pinType Unknown))
		(compPin "2" (pinName "A") (partNum 1) (symPinNum 2) (gateEq 0) (pinEq 0) (pinType Unknown))
		(attachedSymbol (partNum 1) (altType Normal) (symbolName "STPS1L30U"))
		(attachedPattern (patternNum 1) (patternName "DIOM5436X265N")
			(numPads 2)
			(padPinMap
				(padNum 1) (compPinRef "1")
				(padNum 2) (compPinRef "2")
			)
		)
		(attr "Mouser Part Number" "511-STPS1L30U")
		(attr "Mouser Price/Stock" "https://www.mouser.co.uk/ProductDetail/STMicroelectronics/STPS1L30U?qs=46HR8ipXVSu4zGbffOLspg%3D%3D")
		(attr "Manufacturer_Name" "STMicroelectronics")
		(attr "Manufacturer_Part_Number" "STPS1L30U")
		(attr "Description" "STPS1L30U, Schottky Diode,  1A max, 30V, 2-Pin, SMB")
		(attr "<Hyperlink>" "http://www.st.com/web/en/resource/technical/document/datasheet/CD00001323.pdf")
		(attr "<Component Height>" "2.65")
		(attr "<STEP Filename>" "STPS1L30U.stp")
		(attr "<STEP Offsets>" "X=0;Y=0;Z=0")
		(attr "<STEP Rotation>" "X=0;Y=0;Z=0")
	)

)
